FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::SpecificIntrinsicFunctionInterface Struct Reference
Inheritance diagram for Fortran::evaluate::SpecificIntrinsicFunctionInterface:

## Public Member Functions
| SpecificIntrinsicFunctionInterface (characteristics::Procedure &&p, std::string n, bool isRestrictedSpecific)
Public Member Functions inherited from Fortran::evaluate::characteristics::Procedure
| ENUM_CLASS (Attr, Pure, Elemental, BindC, ImplicitInterface, NullPointer, Subroutine) using Attrs
| Procedure (FunctionResult &&, DummyArguments &&, Attrs)
| Procedure (DummyArguments &&, Attrs)
bool | operator== (const Procedure &) const
bool | operator!= (const Procedure &that) const
bool | IsFunction () const
bool | IsSubroutine () const
bool | IsPure () const
bool | IsElemental () const
bool | IsBindC () const
bool | HasExplicitInterface () const
int | FindPassIndex (std::optional< parser::CharBlock >) const
bool | CanBeCalledViaImplicitInterface () const
bool | CanOverride (const Procedure &, std::optional< int > passIndex) const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Public Attributes
std::string | genericName
bool | isRestrictedSpecific
Public Attributes inherited from Fortran::evaluate::characteristics::Procedure
std::optional< FunctionResult > | functionResult
DummyArguments | dummyArguments
Attrs | attrs

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::characteristics::Procedure
static std::optional< Procedure > | Characterize (const semantics::Symbol &, const IntrinsicProcTable &)
static std::optional< Procedure > | Characterize (const ProcedureDesignator &, const IntrinsicProcTable &)
static std::optional< Procedure > | Characterize (const ProcedureRef &, const IntrinsicProcTable &)

The documentation for this struct was generated from the following file:

- include/flang/Evaluate/intrinsics.h